Skip to Content
veriom

Get model qualification request

One request and how far it got.

GET
/v1/workspaces/{workspace_id}/model-qualification-requests/{request_id}

One request and how far it got.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
request_id*Request Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
budget_usd*Budget Usd
canonical_id*Canonical Id
completed_at*|null
created_at*Created At
Formatdate-time
decided_at*|null
decision_reason*string|null
draft_expires_at*|null
endpoint_id*Endpoint Id
Formatuuid
evaluation*|null
id*Id
Formatuuid
origin*QualificationOrigin
Value in"customer""platform"
probe*|null
provider_model_id*Provider Model Id
qualified_until*|

Set once an operator approved it.

renews_qualification*Renews Qualification
replayed_cases*Replayed Cases
scope*QualificationScope

global qualifies the model everywhere; endpoint for this endpoint only.

Value in"global""endpoint"
spent_usd*Spent Usd
status*QualificationRequestStatus
Value in"requested""probing""replaying""draft_signed""approved""rejected""failed""expired""superseded"
status_message*|

What the code means, for the requester.

status_reason*|

A stable code when the request stopped.

updated_at*Updated At
Formatdate-time
workspace_id*Workspace Id
Formatuuid
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/model-qualification-requests/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "budget_usd": "string",  "canonical_id": "string",  "completed_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "decided_at": "2019-08-24T14:15:22Z",  "decision_reason": "string",  "draft_expires_at": "2019-08-24T14:15:22Z",  "endpoint_id": "e9ce0d4f-d433-423d-9497-4c000544106c",  "evaluation": {    "gates": {      "property1": true,      "property2": true    },    "gates_passed": true,    "mean_cost_usd": "string",    "p95_latency_ms": 0,    "qualifies_until": "2019-08-24T14:15:22Z",    "quality_score": 0,    "replay_count": 0,    "tool_discipline_score": 0  },  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "origin": "customer",  "probe": {    "code": "string",    "latency_ms": 0,    "passed": true  },  "provider_model_id": "string",  "qualified_until": "2019-08-24T14:15:22Z",  "renews_qualification": true,  "replayed_cases": 0,  "scope": "global",  "spent_usd": "string",  "status": "requested",  "status_message": "string",  "status_reason": "string",  "updated_at": "2019-08-24T14:15:22Z",  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}